summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNick White <git@njw.me.uk>2009-06-16 19:31:51 +0100
committerNick White <git@njw.me.uk>2009-06-16 19:31:51 +0100
commit9bb440691c035cba24c9fd7c2c8f5ded64a4cafd (patch)
treeccac4e7a0959ad589efa4319edce3b10b7ffaf01
parent4a173b7f7947da4dab9341902df617953cca0dcd (diff)
downloadnjw-gentoo-local-9bb440691c035cba24c9fd7c2c8f5ded64a4cafd.tar.bz2
njw-gentoo-local-9bb440691c035cba24c9fd7c2c8f5ded64a4cafd.zip
Don't touch distdir, use own unpack instead
-rw-r--r--eclass/kernel-libre.eclass28
1 files changed, 12 insertions, 16 deletions
diff --git a/eclass/kernel-libre.eclass b/eclass/kernel-libre.eclass
index e04c36b..12f50cf 100644
--- a/eclass/kernel-libre.eclass
+++ b/eclass/kernel-libre.eclass
@@ -10,6 +10,18 @@ DEBLOB_CHECK="deblob-check"
KERNEL_URI="http://www.linux-libre.fsfla.org/pub/linux-libre/releases/${PV}-libre/linux-${PV}-libre.tar.bz2"
DEBLOB_URI="http://www.linux-libre.fsfla.org/pub/linux-libre/releases/${PV}-libre/${DEBLOB_CHECK}"
+# override the kernel-2 function as tarball is named and laid out differently
+universal_unpack() {
+ cd ${WORKDIR}
+ unpack linux-${OKV}-libre.tar.bz2
+ mv ${WORKDIR}/linux-${OKV} ${WORKDIR}/linux-${KV_FULL} \
+ || die "Unable to move source tree to ${KV_FULL}."
+ cd ${S}
+
+ # remove all backup files
+ find . -iname "*~" -exec rm {} \; 2> /dev/null
+}
+
check_for_blobs() {
# usage: check_for_blobs name_of_variable_containing_paths_to_check
# we want the name of a variable (not just its contents)
@@ -40,21 +52,5 @@ kernel-libre_src_unpack() {
check_for_blobs "UNIPATCH_LIST"
fi
- # universal_unpack expects a different kernel tarball name
- expected_tarball=${DISTDIR}/linux-${OKV}.tar.bz2
-
- # temporarily move any preexisting kernel tarball
- moved_tarball=${expected_tarball}-original
- [[ -f $expected_tarball ]] && \
- mv $expected_tarball $moved_tarball
-
- ln -sf ${DISTDIR}/linux-${OKV}-libre.tar.bz2 $expected_tarball
-
kernel-2_src_unpack
-
- rm $expected_tarball
-
- # put any preexisting tarball back in its original location
- [[ -f $moved_tarball ]] && \
- mv $moved_tarball $expected_tarball
}